=== modified file 'plugin/pbms/src/ha_pbms.cc'
--- plugin/pbms/src/ha_pbms.cc	2010-06-25 15:10:05 +0000
+++ plugin/pbms/src/ha_pbms.cc	2010-07-04 20:54:35 +0000
@@ -115,7 +115,7 @@
 	int doCommit(Session *, bool);
 	int doRollback(Session *, bool);
 	Cursor *create(TableShare& table, memory::Root *mem_root);
-	bool doDropSchema(drizzled::SchemaIdentifier&);
+	bool doDropSchema(const drizzled::SchemaIdentifier&);
 	
 	/*
 	* Indicates to a storage engine the start of a
@@ -142,7 +142,7 @@
 	int doRenameTable(Session&, const TableIdentifier &from, const TableIdentifier &to);
 	
 	void doGetTableIdentifiers(drizzled::CachedDirectory &dir,
-                             drizzled::SchemaIdentifier &schema,
+                             const drizzled::SchemaIdentifier &schema,
                              drizzled::TableIdentifiers &set_of_identifiers) 
 	{
 		std::set<std::string> set_of_names;
@@ -155,7 +155,7 @@
 	}
 	
 	void doGetTableNames(CachedDirectory&, 
-					SchemaIdentifier &schema, 
+					const SchemaIdentifier &schema, 
 					std::set<std::string> &set_of_names) 
 	{
 		bool isPBMS = schema.compare("PBMS");
@@ -435,7 +435,7 @@
 #endif
 
 #ifdef DRIZZLED
-bool  PBMSStorageEngine::doDropSchema(drizzled::SchemaIdentifier &schema)
+bool  PBMSStorageEngine::doDropSchema(const drizzled::SchemaIdentifier &schema)
 {
 	CSThread *self;
 	PBMSResultRec result;

=== modified file 'plugin/pbxt/src/ha_pbxt.h'
--- plugin/pbxt/src/ha_pbxt.h	2010-06-28 23:02:02 +0000
+++ plugin/pbxt/src/ha_pbxt.h	2010-07-04 20:54:35 +0000
@@ -99,11 +99,11 @@
 	/* override */ uint32_t max_supported_key_part_length(void) const { return MAX_KEY_LENGTH; }
 
 	/* override */ void doGetTableIdentifiers(drizzled::CachedDirectory&,
-                                           drizzled::SchemaIdentifier&,
+                                           const drizzled::SchemaIdentifier&,
                                            drizzled::TableIdentifiers&) {}
 
 	/* override */ void doGetTableNames(CachedDirectory&, 
-					SchemaIdentifier&, 
+					const SchemaIdentifier&, 
 					std::set<std::string>&) {}
 
 	/* override */ bool doDoesTableExist(Session&, const TableIdentifier &identifier);

